<?php

/**
 * Typography Settings
 *
 * @package dog_pet_house
 */

// Typography Settings
$wp_customize->add_section(
    'dog_pet_house_typography_setting',
    array(
        'panel' => 'dog_pet_house_theme_options',
        'title' => esc_html__( 'Typography Settings', 'dog-pet-house' ),
    )
);

$wp_customize->add_setting(
    'dog_pet_house_site_title_font',
    array(
        'default'           => 'Raleway',
        'sanitize_callback' => 'dog_pet_house_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'dog_pet_house_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'dog-pet-house' ),
        'section'  => 'dog_pet_house_typography_setting',
        'settings' => 'dog_pet_house_site_title_font',
        'type'     => 'select',
        'choices'  => dog_pet_house_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'dog_pet_house_site_description_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'dog_pet_house_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'dog_pet_house_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'dog-pet-house' ),
		'section'  => 'dog_pet_house_typography_setting',
		'settings' => 'dog_pet_house_site_description_font',
		'type'     => 'select',
		'choices'  => dog_pet_house_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'dog_pet_house_header_font',
	array(
		'default'           => 'Lilita One',
		'sanitize_callback' => 'dog_pet_house_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'dog_pet_house_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'dog-pet-house' ),
		'section'  => 'dog_pet_house_typography_setting',
		'settings' => 'dog_pet_house_header_font',
		'type'     => 'select',
		'choices'  => dog_pet_house_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'dog_pet_house_content_font',
	array(
		'default'           => 'Kodchasan',
		'sanitize_callback' => 'dog_pet_house_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'dog_pet_house_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'dog-pet-house' ),
		'section'  => 'dog_pet_house_typography_setting',
		'settings' => 'dog_pet_house_content_font',
		'type'     => 'select',
		'choices'  => dog_pet_house_get_all_google_font_families(),
	)
);